include:
  - local: .ci/tpfs.yaml

build:
  extends: .build-template

build-no-std:
  extends: .build-template
  script:
    - cargo build --no-default-features --features test-helpers

test:
  extends: .test-template

bench:
  extends: .test-template
  script:
    - cargo bench --features test-helpers

lint:
  extends: .lint-template

audit:
  extends: .audit-template
  allow_failure: true

publish-beta:
  extends: .publish-beta-template

publish:
  extends: .publish-template

upgrade-downstream-repos:
  extends: .upgrade-consuming-repos
  variables:
    UPSTREAM_CRATES: xand_ledger
  before_script:
    - export REPO_VERSION=$(toml get ./Cargo.toml package.version | tr -d \")

sync-dependencies:
  extends: .synchronize-central-dependency-registry
